@ECHO OFF
rem %1 - mode
set RMode=%1

IF NOT defined RMode (
  set RMode=1
)

echo RMode=%RMode%

IF %RMode% EQU 1 goto close_and_open
IF %RMode% EQU 2 goto normal_reboot
IF %RMode% EQU 3 goto reboot_to_safemode
IF %RMode% EQU 4 goto shutdown_byebye
IF %RMode% EQU 5 goto boot_to_normal
IF %RMode% EQU 6 goto boot_to_safemode
IF %RMode% EQU 7 goto normal_reboot_asrs

echo RMode=%RMode%

:close_and_open
net stop splashtopremoteservice & timeout /t 5 & net start splashtopremoteservice
GOTO end

:normal_reboot
SHUTDOWN -t 10 -r -f -c "Your Splashtop admin has issued a reboot."
GOTO end

:normal_reboot_asrs
SHUTDOWN -t 25 -r -f -c "Your Splashtop admin has issued a reboot."
GOTO end

:shutdown_byebye
shutdown -t 10 -s -f
GOTO end

:boot_to_normal
ver
ver | findstr /i "5\.*\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_nt5x_boot_normal
ver | findstr /i "6\.*\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_nt6x_boot_normal
ver | findstr /i "10\.*\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_nt6x_boot_normal
GOTO warn_and_exit

:boot_to_safemode
ver
ver | findstr /i "5\.*\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_nt5x_boot_safemode
ver | findstr /i "6\.*\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_nt6x_boot_safemode
ver | findstr /i "10\.*\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_nt6x_boot_safemode
GOTO warn_and_exit

:reboot_to_safemode
REM Check Windows Version
ver
ver | findstr /i "5\.*\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_nt5x
ver | findstr /i "6\.*\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_nt6x
ver | findstr /i "10\.*\." > nul
IF %ERRORLEVEL% EQU 0 goto ver_nt6x
GOTO warn_and_exit

:ver_nt5x
:Run Windows 2000/XP specific commands here
::Runs safe mode with networking
ECHO "ver_nt5x"
bootcfg /raw /a /safeboot:network /id 1
REG ADD HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\RunOnce /v "*UndoSB" /t REG_SZ /d "bootcfg /raw /fastdetect /id 1"
SHUTDOWN -t 05 -r -f -c "Your Splashtop admin has issued a reboot."
GOTO end

:ver_nt6x
:Run Windows Vista/7 (or later) specific commands here
::Runs safe mode with networking
ECHO "ver_nt6x"
bcdedit /set {current} safeboot network
REG ADD HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\RunOnce /v "*UndoSB" /t REG_SZ /d "bcdedit /deletevalue {current} safeboot"
SHUTDOWN -t 05 -r -f -c "Your Splashtop admin has issued a reboot."
GOTO end

:ver_nt5x_boot_normal
:Run Windows 2000/XP specific commands here
::Runs safe mode with networking
ECHO "ver_nt5x_boot_normal"
bootcfg /raw /fastdetect /id 1
GOTO end

:ver_nt6x_boot_normal
:Run Windows Vista/7 (or later) specific commands here
::Runs safe mode with networking
ECHO "ver_nt6x_boot_normal"
bcdedit /deletevalue {current} safeboot
GOTO end

:ver_nt5x_boot_safemode
:Run Windows 2000/XP specific commands here
::Runs safe mode with networking
ECHO "ver_nt5x_boot_safemode"
bootcfg /raw /a /safeboot:network /id 1
GOTO end

:ver_nt6x_boot_safemode
:Run Windows Vista/7 (or later) specific commands here
::Runs safe mode with networking
ECHO "ver_nt6x_boot_safemode"
bcdedit /set {current} safeboot network
GOTO end

@ECHO ON

:warn_and_exit
echo This OS cannot be determined now.
GOTO end

:end